Bug 812479 - SELinux is preventing /usr/bin/pulseaudio from 'write' accesses on the file /home/keith/.esd_auth.
SELinux is preventing /usr/bin/pulseaudio from 'write' accesses on the file /...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Miroslav Grepl
Fedora Extras Quality Assurance
abrt_hash:89d2bcb7ff7f98fca514e4f0dfb...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-13 16:41 EDT by Keith
Modified: 2012-04-18 19:07 EDT (History)
3 users (show)

See Also:
Fixed In Version: selinux-policy-3.10.0-116.fc17
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-04-18 19:07:56 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Keith 2012-04-13 16:41:46 EDT
libreport version: 2.0.10
executable:     /usr/bin/python
hashmarkername: setroubleshoot
kernel:         3.3.1-5.fc17.x86_64
time:           Fri 13 Apr 2012 02:40:47 PM MDT

description:
:SELinux is preventing /usr/bin/pulseaudio from 'write' accesses on the file /home/keith/.esd_auth.
:
:*****  Plugin catchall (100. confidence) suggests  ***************************
:
:If you believe that pulseaudio should be allowed write access on the .esd_auth file by default.
:Then you should report this as a bug.
:You can generate a local policy module to allow this access.
:Do
:allow this access for now by executing:
:# grep pulseaudio /var/log/audit/audit.log | audit2allow -M mypol
:# semodule -i mypol.pp
:
:Additional Information:
:Source Context                unconfined_u:unconfined_r:mozilla_plugin_t:s0-s0:c
:                              0.c1023
:Target Context                unconfined_u:object_r:user_home_t:s0
:Target Objects                /home/keith/.esd_auth [ file ]
:Source                        pulseaudio
:Source Path                   /usr/bin/pulseaudio
:Port                          <Unknown>
:Host                          (removed)
:Source RPM Packages           pulseaudio-1.1-8.fc17.x86_64
:Target RPM Packages           
:Policy RPM                    selinux-policy-3.10.0-106.fc17.noarch
:Selinux Enabled               True
:Policy Type                   targeted
:Enforcing Mode                Enforcing
:Host Name                     (removed)
:Platform                      Linux (removed) 3.3.1-5.fc17.x86_64 #1 SMP Tue Apr 10
:                              20:42:28 UTC 2012 x86_64 x86_64
:Alert Count                   1
:First Seen                    Fri 13 Apr 2012 02:39:53 PM MDT
:Last Seen                     Fri 13 Apr 2012 02:39:53 PM MDT
:Local ID                      de9dffcf-06e9-4516-8c2a-b5afc54cc03e
:
:Raw Audit Messages
:type=AVC msg=audit(1334349593.76:88): avc:  denied  { write } for  pid=2284 comm="pulseaudio" name=".esd_auth" dev="sda3" ino=21758021 scontext=unconfined_u:unconfined_r:mozilla_plugin_t:s0-s0:c0.c1023 tcontext=unconfined_u:object_r:user_home_t:s0 tclass=file
:
:
:type=SYSCALL msg=audit(1334349593.76:88): arch=x86_64 syscall=open success=no exit=EACCES a0=1b7ed00 a1=80142 a2=180 a3=318404947c items=0 ppid=2283 pid=2284 auid=1000 uid=1000 gid=1000 euid=1000 suid=1000 fsuid=1000 egid=1000 sgid=1000 fsgid=1000 tty=(none) ses=2 comm=pulseaudio exe=/usr/bin/pulseaudio subj=unconfined_u:unconfined_r:mozilla_plugin_t:s0-s0:c0.c1023 key=(null)
:
:Hash: pulseaudio,mozilla_plugin_t,user_home_t,file,write
:
:audit2allowunable to open /sys/fs/selinux/policy:  Permission denied
:
:
:audit2allow -Runable to open /sys/fs/selinux/policy:  Permission denied
:
:
Comment 1 Daniel Walsh 2012-04-13 16:49:17 EDT
Ok we are going to label this as pulseaudit_home_t.

chcon -t pulseaudio_home_t ~/.esd_auth

Should fix the problem for now.

Fixed in selinux-policy-3.10.0-115
Comment 2 Fedora Update System 2012-04-16 17:28:35 EDT
selinux-policy-3.10.0-116.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/selinux-policy-3.10.0-116.fc17
Comment 3 Fedora Update System 2012-04-18 19:07:56 EDT
selinux-policy-3.10.0-116.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.